import { Footer } from "@/components/footer";
import { Heading } from "./_components/heading";
import { AskAgentCard } from "./_components/ask-agent-card";
import { Particles } from "@/components/particles";
import { Header } from "@/components/header";

export default async function ChatToAgent({
  params,
}: {
  params: Promise<{ agentId: string }>;
}) {
  const { agentId } = await params;

  return (
    <div className="relative">
      <Header />
      <Heading />
      <section>
        <div className="layout px-3 sm:px-6 py-8">
          <AskAgentCard agentId={agentId} />
        </div>
      </section>
      <Footer />
      <Particles
        className="absolute inset-0 z-0 opacity-30"
        quantity={5000}
        ease={90}
        color={"#000000"}
        refresh
      />
    </div>
  );
}
